unit Unit1;

interface

type
  ShortName = string[20];
  TEmployee = class
  private
    FFirstName: ShortName;
    FLastName: ShortName;
    FParentList: TList;
    procedure SetFirstName(const Value: ShortName);
    procedure SetLastName(const Value: ShortName);
  published
    property FirstName: ShortName read FFirstName write SetFirstName;
    property LastName: ShortName read FLastName write SetLastName;
    property ParentList: TList read FParentList;
  end;

var
  RootEmployee: TEmployee;
  
implementation

function CompareStr(const S1,S2: string): Boolean;
begin
  Result := Upper(S1) = Upper(S2);
end;

{ TEmployee }

procedure TEmployee.SetFirstName(const Value: ShortName);
begin
  FFirstName := Value;
end;

procedure TEmployee.SetLastName(const Value: ShortName);
begin
  FLastName := Value;
end;

end.
 